<?php

namespace OCA\UPschooling\Db;

use JsonSerializable;
use OCP\AppFramework\Db\Entity;

class MatrixTicket extends Entity implements JsonSerializable
{
	protected $matrixControlRoom;
	protected $matrixAssistedUser; // The ID of the person who created the ticket. Usually the person who needs help.
	protected $matrixHelperUser;
	protected $status;
	protected $version;

	public function jsonSerialize(): array
	{
		return [
			'id' => $this->id,
			'matrixControlRoom' => $this->matrixControlRoom,
			'matrixAssistedUser' => $this->matrixAssistedUser,
			'matrixHelperUser' => $this->matrixHelperUser,
			'status' => $this->status,
			'version' => $this->version,
		];
	}
}
